msgnw:xyz doesn't work with hidden comments
Closed, ResolvedPublic

Description

I try to include the unexpanded wikitext of a page (this) into another page (this). I use {{msgnw:Namespace:Pagename}}, but I have a problem with hidden comments in the original page. Some are included, others are not! I think comments are an important part of the wikitext, so I think all of them should be shown. Thanks in advance

FRacco created this task.May 12 2015, 10:13 AM
FRacco updated the task description. (Show Details)
FRacco raised the priority of this task from to Needs Triage.
FRacco added a subscriber: FRacco.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 10:13 AM
FRacco updated the task description. (Show Details)May 12 2015, 10:20 AM
FRacco set Security to None.

I think this is a bug in Preprocessor_DOM::expand() and Preprocessor_Hash::expand(). When the output type is Parser::OT_HTML (so $this->parser->ot['html'] is true), the PPFrame::RECOVER_COMMENTS flag has no effect.

Change 210677 had a related patch set uploaded (by PleaseStand):
Make PPFrame::RECOVER_COMMENTS actually work

https://gerrit.wikimedia.org/r/210677

FRacco added a comment.Jun 8 2015, 9:35 AM

Sorry, I can't understand the previous message. Can we solve the problem? Thanks in advance

@FRacco: The previous message links to a patch in Gerrit, the code review tool. Once that patch is merged and deployed on servers, this will be fixed.

Aklapper triaged this task as Normal priority.Jun 9 2015, 5:17 PM

Change 210677 merged by jenkins-bot:
Make PPFrame::RECOVER_COMMENTS actually work

https://gerrit.wikimedia.org/r/210677

TTO closed this task as Resolved.Aug 15 2015, 11:06 AM
TTO claimed this task.

Thanks to Kevin for the patch.

TTO reassigned this task from TTO to PleaseStand.Aug 15 2015, 11:06 AM